from .dlib import dlib_cube
from .evolopy import make_evolopy
from .nevergrad import NEVERGRAD2_OPTIMIZERS
from .nlopt import nlopt_neldermead_cube
from .fcmaes import (
    make_biteopt,
    make_csma,
    make_fcmaes,
    make_crfmnes,
    # make_lde,
    make_da,
    make_gclde,
    make_lclde,
)
from .notwa import make_birect, make_mercury, make_soo
from .random import another_random_cube, quasirandom_cube
from .scipy import (
    make_shgo,
    scipy_basinhopping_cube,
    scipy_bfgs_2j_cube,
    scipy_bfgs_3j_cube,
    scipy_cg_2j_cube,
    scipy_cg_3j_cube,
    scipy_cobyla_cube,
    scipy_direct_cube,
    scipy_direct_l_cube,
    # scipy_dogleg_cube,
    scipy_lbfgsb_2j_cube,
    scipy_lbfgsb_3j_cube,
    scipy_neldermead_cube,
    # scipy_newtoncg_cube,
    scipy_powell_cube,
    scipy_slsqp_2j_cube,
    scipy_slsqp_3j_cube,
    scipy_tnc_2j_cube,
    scipy_tnc_3j_cube,
    scipy_trustconstr_2j_cube,
    scipy_trustconstr_3j_cube,
    # scipy_trustexact_2j_cube,
    # scipy_trustexact_3j_cube,
    # scipy_trustkrylov_cube,
    # scipy_trustncg_cube,
)
